# LOINC

As with every other resource in Snow Owl, a LOINC Code System needs to be created using the CodeSystems API first:

```
POST /codesystems
{
  "id": "LOINC",
  "url": "http://hl7.org/fhir/sid/loinc",
  "title": "LOINC",
  "language": "en",
  "description": "LOINC is a freely available international standard for tests, measurements, and observations",
  "status": "active",
  "copyright": "This material contains content from LOINC (http://loinc.org). LOINC is copyright ©1995-2023, Regenstrief Institute, Inc. and the Logical Observation Identifiers Names and Codes (LOINC) Committee and is available at no cost under the license at http://loinc.org/license. LOINC® is a registered United States trademark of Regenstrief Institute, Inc.",
  "owner": "ownerUserId",
  "contact": "https://loinc.org/",
  "oid": "2.16.840.1.113883.6.1",
  "toolingId": "loinc",
  "settings": {
      "publisher": "Regenstrief Institute, Inc.",
  }
}
```

Then, an official release file can be imported via the following request:

```
POST /loinc/LOINC/import -F "file=@Loinc_2.77.zip"
```

And last, create a new version to tag the content:

```
POST /versions
{
  "resource": "codesystems/LOINC",
  "version": "2.77",
  "description": "LOINC 2.77 2024-02-27 release",
  "effectiveTime": "2024-02-27"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.b2ihealthcare.com/snow-owl/terminology-standards/loinc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
